Bug 190752 - fc4 xorg cause hard lockup on AlBooks
fc4 xorg cause hard lockup on AlBooks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
powerpc Linux
medium Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 17:37 EDT by Robert Story
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 09:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Story 2006-05-04 17:37:33 EDT
Description of problem:
after a yum update and restarting X, the system locks up hard (no ping response)
with black and grey lines across the screen.

NOTE: REVERTING TO PREVIOUSLY INSTALLED RPMS DOES NOT FIX THE PROBLEM!!

Version-Release number of selected component (if applicable):
xorg-x11-*.49.2.1

How reproducible:
reproduce on PowerBook 5,4 and 5,6

Steps to Reproduce:
1. yum update
2. restart x
3. enjoy frozen powerbook
  
Actual results:
frozen machine

Expected results:
working x

Additional info:

NOTE: REVERTING TO PREVIOUSLY INSTALLED RPMS DOES NOT FIX THE PROBLEM!!
Comment 1 Robert Story 2006-05-05 12:30:25 EDT
Ok, turns out that this isn't just the 'latest' xorg; the same thing happens
when installing from the FC4 DVD (xorg-x11-6.8.2-31.ppc.rpm).

The only solution seems to be grabbing the radeon module built by dwmw2 and
keeping it handy to re-install after every xorg update overwrites it.
Comment 2 Mike A. Harris 2006-05-23 09:29:36 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.